Represents a collection of
VideoThumbnails
on a
Video

Get a list of VideoThumbnails on a Video.
| Type | Requirement |
|---|---|
App or Page | |
|
curl -X GET "https://graph.facebook.com/v24.0/video-id/thumbnails?access_token=page_access_token"
On success your app receives a list of VideoThumbnail objects for the video.
{
"id": "video-id-1",
"height": 1280,
"scale": 1,
"uri": "url-for-video-1",
"width": 720,
"is_preferred": false
},
{
"id": "video-id-2",
"height": 1280,
"scale": 1,
"uri": "url-for-video-2",
"width": 720,
"is_preferred": false
},
...
Reading from this edge will return a JSON formatted result:
{ "
data": [], "paging": {} }
datapaging| Error | Description |
|---|---|
| 190 | Invalid OAuth 2.0 Access Token |
| 368 | The action attempted has been deemed abusive or is otherwise disallowed |
| 100 | Invalid parameter |
| 283 | That action requires the extended permission pages_read_engagement and/or pages_read_user_content and/or pages_manage_ads and/or pages_manage_metadata |
| 104 | Incorrect signature |
| 200 | Permissions error |
thumbnails edge from the following paths: | Type | Requirement |
|---|---|
App or Page | |
|
curl -X POST "https://graph.facebook.com/v24.0/video-id/thumbnails
?access_token=page_access_token
&is_preferred=true
&source=@ThumbnailSample1.jpg"
On success your app receives a list of VideoThumbnail objects for the video.
{
"success": true
}
| Parameter | Description |
|---|---|
is_preferredboolean | Default value: falseSet to |
sourceimage | The source for the thumbnail, an image file Required |
success: bool, | Error | Description |
|---|---|
| 100 | Invalid parameter |
| 200 | Permissions error |